Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class CatchStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.CatchStatement

    class CatchStatement
    extends Statement

Represents a catch (Exception var) { } statement

author:
  James Strachan

version:
  $Revision: 12838 $

Constructor Summary
`CatchStatement(Parameter variable, Statement code)`

Method Summary
`Statement` | `getCode()`
`ClassNode` | `getExceptionType()`
`Parameter` | `getVariable()`
`void` | `setCode(Statement code)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CatchStatement

    public CatchStatement(Parameter variable, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExceptionType

    public ClassNode getExceptionType()

### getVariable

    public Parameter getVariable()

### setCode

    public void setCode(Statement code)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.